#!/bin/sh

script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

PtzControlClose=`cat $script_path/ptzCtrlClose.ini | ./busybox grep "ptzControlClose:" | ./busybox grep -v grep | sed 's/ptzControlClose://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found ptzCtrlClose ini config file"
	exit -1
fi

if [ "$PtzControlClose" = "yes" ];then
	if [ ! -d "/mnt/mtd/Flags/" ];then
		mkdir -p /mnt/mtd/Flags/
	fi
	touch /mnt/mtd/Flags/NoSupportPtzDirectionControlFlag
	./playOrRecord -p 0 audio/notSupportPtzDirectionControl.pcm
fi

if [ "$PtzControlClose" = "no" ];then
	rm -rf /mnt/mtd/Flags/NoSupportPtzDirectionControlFlag
	./playOrRecord -p 0 audio/supportPtzDirectionControl.pcm
fi